Bug 1259149 - Url in example_settings.xml points to ER4 build
Url in example_settings.xml points to ER4 build
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Examples, Distribution (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR2
: 6.2.0
Assigned To: Alex Szczuczko
Juraj Duráni
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 01:48 EDT by Juraj Duráni
Modified: 2016-02-10 03:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:50:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juraj Duráni 2015-09-02 01:48:50 EDT
Both URL tags in the example settings of the maven repository points to ER4 build:
<url>file:///path/to/repo/jboss-dv-6.2.0.ER4-redhat-1-maven-repository/maven-repository</url>
Comment 2 Juraj Duráni 2015-09-10 01:45:32 EDT
I can confirm that sample path does not contain any build-specific mark. However, it still does not point to valid maven repo:
Sample path: file:///path/to/repo/jboss-dv-6.2.0.redhat-2-maven-repository/maven-repository
Expected path: file:///path/to/repo/jboss-dv-6.2.0-maven-repository/maven-repository

I think that this is not big deal. If you agree, I can set this BZ to verified. Or you can simply change the file manually.
Comment 3 Alex Szczuczko 2015-09-10 05:40:22 EDT
Assuming CR2 becomes GA, fixing the file manually within the existing zip is probably the best option, to guarantee the rest stays the same. However, it's still a bit awkward to change one of the files post-announcement.

Do you want to tell me when you're done testing the maven repo, and then I can update the example settings, and you can check everything else in the zip is identical?
Comment 4 Juraj Duráni 2015-09-10 06:17:18 EDT
I think that the example is clear, no matter if there is a little error or not.
I probably will not be able to check the fix, so do not change the file.
I am setting this BZ to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.